Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dipendentessr.vo.elencodipendentiperstruttura
Class DipendentePerStruttura

    java.lang.Object
      it.svimservice.nsisr.web.ws.dipendentessr.vo.elencodipendentiperstruttura.DipendentePerStruttura

    public class DipendentePerStruttura

extends java.lang.Object

Dati di dettaglio del dipendente.

Field Summary
`private java.lang.String` | `codiceFiscale` Codice fiscale.
`private java.lang.String` | `cognome` Cognome.
`private java.lang.String` | `dataNascita` Data di nascita.
`private InquadramentoGiuridicoPerStruttura` | `inquadramento` Inquadramento giuridico.
`private java.lang.String` | `nome` Nome.
`private long` | `numMatricola` Numero di matricola.
`private SvolgimentoServizio` | `svolgimentoServizio` Indica i dati relativi allo svolgimento servizio attivo in quella struttura.

Constructor Summary
`DipendentePerStruttura()`

Method Summary
`java.lang.String` | `getCodiceFiscale()`
`java.lang.String` | `getCognome()`
`java.lang.String` | `getDataNascita()`
`InquadramentoGiuridicoPerStruttura` | `getInquadramento()`
`java.lang.String` | `getNome()`
`long` | `getNumMatricola()`
`SvolgimentoServizio` | `getSvolgimentoServizio()`
`void` | `setCodiceFiscale(java.lang.String codiceFiscale)`
`void` | `setCognome(java.lang.String cognome)`
`void` | `setDataNascita(java.lang.String dataNascita)`
`void` | `setInquadramento(InquadramentoGiuridicoPerStruttura inquadramento)`
`void` | `setNome(java.lang.String nome)`
`void` | `setNumMatricola(long numMatricola)`
`void` | `setSvolgimentoServizio(SvolgimentoServizio svolgimentoServizio)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codiceFiscale

    @Facets(pattern="([a-zA-Z]{6}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{3}[a-zA-Z]{1}|[0-9]{11})?")
    private java.lang.String codiceFiscale

  Codice fiscale.

### cognome

    private java.lang.String cognome

  Cognome.

### nome

    private java.lang.String nome

  Nome.

### dataNascita

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataNascita

  Data di nascita.

### numMatricola

    @Facets(totalDigits=10L)
    private long numMatricola

  Numero di matricola.

### inquadramento

    private InquadramentoGiuridicoPerStruttura inquadramento

  Inquadramento giuridico.

### svolgimentoServizio

    private SvolgimentoServizio svolgimentoServizio

  Indica i dati relativi allo svolgimento servizio attivo in quella struttura.

Constructor Detail

### DipendentePerStruttura

    public DipendentePerStruttura()

Method Detail

### setCodiceFiscale

    public void setCodiceFiscale(java.lang.String codiceFiscale)

### getCodiceFiscale

    public java.lang.String getCodiceFiscale()

### setCognome

    public void setCognome(java.lang.String cognome)

### getCognome

    public java.lang.String getCognome()

### setNome

    public void setNome(java.lang.String nome)

### getNome

    public java.lang.String getNome()

### setDataNascita

    public void setDataNascita(java.lang.String dataNascita)

### getDataNascita

    public java.lang.String getDataNascita()

### setNumMatricola

    public void setNumMatricola(long numMatricola)

### getNumMatricola

    public long getNumMatricola()

### getInquadramento

    public InquadramentoGiuridicoPerStruttura getInquadramento()

### setInquadramento

    public void setInquadramento(InquadramentoGiuridicoPerStruttura inquadramento)

### getSvolgimentoServizio

    public SvolgimentoServizio getSvolgimentoServizio()

### setSvolgimentoServizio

    public void setSvolgimentoServizio(SvolgimentoServizio svolgimentoServizio)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD